View Issue Details

IDProjectCategoryView StatusLast Update
0032579Open CASCADEOCCT:DRAWpublic2021-09-25 09:44
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032579: Draw Harness, ViewerTest - extend vbackground -cubemap syntax to configure sRGB flag
DescriptionIt is desired extending vbackground and vtexture commands to pass through sRGB / non-sRGB flag to loaded texture image.
Steps To Reproduce
dtracelevel trace
pload VISUALIZATION
vdriver -load GLES
vcaps -maxVersion 2 0
source $env(CSF_OCCTSamplesPath)/tcl/vis_pbr_spheres.tcl
set aCubeMap [locate_data_file Circus_CubeMap_V.png]
vbackground -cubemap $aCubeMap -srgb 0
TagsNo tags attached.
Test case numberopengl/data/background/srgb

Relationships

related to 0032089 closedsmoskvin Visualization, TKOpenGl - support GL_EXT_sRGB extension to OpenGL ES 2.0 
related to 0031039 closedkgv Visualization - add elliptical gradient background style 

Activities

git

2021-09-22 00:45

administrator   ~0104281

Branch CR32579 has been created by kgv.

SHA-1: 744fda593a06a8c1ec48523d27760e1122da801c


Detailed log of new commits:

Author: kgv
Date: Wed Sep 22 00:18:35 2021 +0300

    0032579: Draw Harness, ViewerTest - extend vbackground -cubemap syntax to configure sRGB flag

git

2021-09-22 00:56

administrator   ~0104282

Branch CR32579 has been updated forcibly by kgv.

SHA-1: 79bd03044813eee131e98ec7e26594de38b50b83

kgv

2021-09-22 08:22

developer   ~0104283

Patch is ready for review
- OCCT: branch CR32579.

http://jenkins-test-12.nnov.opencascade.com/view/CR32579-master-KGV/

osa

2021-09-22 09:57

developer   ~0104285

The patch was reviewed without remarks

smoskvin

2021-09-25 09:04

administrator   ~0104347

Combination -
OCCT branch : IR-2021-09-24
master SHA - 3be25c11705b931ff623f372a24e3e1b2203899c
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-24 SHA - 87b937b1aaab0e7b9de6bee9b334ae2694f02413
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17446.850000000457 / 17398.820000000545 [+0.28%]
Products
---
Windows-64-VC14:
OCCT
Total CPU difference: 19308.25 / 19330.984375 [-0.12%]
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-25 09:44

administrator   ~0104362

Branch CR32579 has been deleted by mnt.

SHA-1: 79bd03044813eee131e98ec7e26594de38b50b83

Related Changesets

occt: master c585f731

2021-09-21 21:18:35

kgv


Committer: smoskvin Details Diff
0032579: Draw Harness, ViewerTest - extend vbackground -cubemap syntax to configure sRGB flag

Command vbackground has been refactored to simplify logic and relax syntax.
Added -srgb argument to vbackground and vtexture commands.
Affected Issues
0032579
mod - src/ViewerTest/ViewerTest.cxx Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File
add - tests/opengl/data/background/srgb Diff File
mod - tests/opengles2/grids.list Diff File

Issue History

Date Modified Username Field Change
2021-09-20 12:59 kgv New Issue
2021-09-20 12:59 kgv Assigned To => kgv
2021-09-22 00:45 git Note Added: 0104281
2021-09-22 00:56 git Note Added: 0104282
2021-09-22 08:22 kgv Note Added: 0104283
2021-09-22 08:22 kgv Assigned To kgv => osa
2021-09-22 08:22 kgv Status new => resolved
2021-09-22 08:22 kgv Target Version 7.7.0 => 7.6.0
2021-09-22 08:22 kgv Relationship added related to 0032089
2021-09-22 09:57 osa Note Added: 0104285
2021-09-22 09:57 osa Assigned To osa => bugmaster
2021-09-22 09:57 osa Status resolved => reviewed
2021-09-22 14:19 kgv Relationship added related to 0031039
2021-09-25 09:04 smoskvin Note Added: 0104347
2021-09-25 09:04 smoskvin Status reviewed => tested
2021-09-25 09:06 smoskvin Test case number => opengl/data/background/srgb
2021-09-25 09:22 smoskvin Changeset attached => occt master c585f731
2021-09-25 09:22 smoskvin Assigned To bugmaster => smoskvin
2021-09-25 09:22 smoskvin Status tested => verified
2021-09-25 09:22 smoskvin Resolution open => fixed
2021-09-25 09:44 git Note Added: 0104362